summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2021-02-27 10:59:33 +0100
committer Matteo Bernardini2021-02-27 10:59:33 +0100
commitd3b4f20a0b13b157207b79cf3abc167198c29dbf (patch)
treee8ffbec97a5025f2c1b44774e740083efec83ce2
parent9aa1498acb0841d4ce656319a4de5cc157b4e2ed (diff)
downloadslackbuilds-qgis.tar.gz
gis/qgis: Patch a cmake bug and point at current's sip3.qgis
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--gis/qgis/qgis.SlackBuild9
-rw-r--r--gis/qgis/qgis.info2
2 files changed, 8 insertions, 3 deletions
diff --git a/gis/qgis/qgis.SlackBuild b/gis/qgis/qgis.SlackBuild
index d57f2e6a58..4bd645336e 100644
--- a/gis/qgis/qgis.SlackBuild
+++ b/gis/qgis/qgis.SlackBuild
@@ -76,7 +76,7 @@ else
WITHGRASS=""
fi
-sed -i 's|${SIP_BINARY_PATH}|/usr/bin/python3-sip|' cmake/SIPMacros.cmake
+sed -i 's|${SIP_BINARY_PATH}|/usr/bin/sip3|' cmake/SIPMacros.cmake
mkdir -p build
cd build
@@ -92,13 +92,18 @@ cd build
-DWITH_QWTPOLAR=TRUE \
-DWITH_CUSTOM_WIDGETS=FALSE \
-DBINDINGS_GLOBAL_INSTALL=TRUE \
- -DQWT_INCLUDE_DIR=/usr/include/qt5/qwt \
+ -DQWT_INCLUDE_DIR=/usr/include/qwt \
-DQSCINTILLA_INCLUDE_DIR=/usr/include/qt5 \
-DENABLE_TESTS=FALSE \
-DWITH_3D=TRUE \
-Wno-dev \
$WITHGRASS
+ # Workaround a cmake bug (?)
+ sed -i "s/\\$\\$\\$\\$/\$\$/" \
+ src/core/CMakeFiles/qgis_core.dir/build.make \
+ src/core/CMakeFiles/qgis_core_autogen.dir/build.make || exit 1
+
make install DESTDIR=$PKG
cd -
diff --git a/gis/qgis/qgis.info b/gis/qgis/qgis.info
index 52171778d3..d9c398b086 100644
--- a/gis/qgis/qgis.info
+++ b/gis/qgis/qgis.info
@@ -5,6 +5,6 @@ DOWNLOAD="https://qgis.org/downloads/qgis-3.18.0.tar.bz2"
MD5SUM="b8e5d03d48e9c8e84858823c3d74b3c4"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="cmake-202x postgis libspatialite libspatialindex numpy3 qt5-webkit qwt-qt5 QScintilla-qt5 qtkeychain qca-qt5 protobuf3 python3-PyYAML python-requests Pygments OWSLib psycopg2 Jinja2 zstd"
+REQUIRES="cmake-202x postgis libspatialite libspatialindex numpy3 qt5-webkit qwt QScintilla-qt5 qtkeychain qca-qt5 protobuf3 python3-PyYAML python-requests Pygments OWSLib psycopg2 Jinja2 zstd"
MAINTAINER="Benjamin Trigona-Harany"
EMAIL="slackbuilds@jaxartes.net"